/******************************************************************************

                               Copyright (c) 2012
                            Lantiq Deutschland GmbH

  For licensing information, see the file 'LICENSE' in the root folder of
  this software module.

******************************************************************************/

/* Autogenrated by the excel file. Don't change manually !!!! */
#include "mtlkinc.h"
#include "rdlim.h"
#include "mhi_ieee_address.h"
#include "mhi_mib_id.h"

static const struct hw_lim_table_entry hw_lim_standard[] = {
 { MIB_REG_DOMAIN_FCC, 5180, 20, 104 },
 { MIB_REG_DOMAIN_FCC, 5190, 40, 104 },
 { MIB_REG_DOMAIN_FCC, 5210, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 5290, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 5310, 40, 104 },
 { MIB_REG_DOMAIN_FCC, 5320, 20, 104 },
 { MIB_REG_DOMAIN_FCC, 5500, 20, 104 },
 { MIB_REG_DOMAIN_FCC, 5510, 40, 104 },
 { MIB_REG_DOMAIN_FCC, 5520, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 5530, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 5540, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 5550, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 5560, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 5570, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 5580, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 5590, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 5600, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 5610, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 5620, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 5630, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 5640, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 5650, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 5660, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 5670, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 5680, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 5690, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 5700, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 2412, 20, 104 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 120 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 168 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 192 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 192 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 192 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 168 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 2467, 20, 128 },
 { MIB_REG_DOMAIN_FCC, 2472, 20, 104 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 104 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 176 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 176 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 176 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2457, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2462, 40, 104 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_gpb230[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 120 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 128 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 128 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 104 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 120 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 128 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 128 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 120 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 112 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_gpb231_232[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 136 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 128 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 120 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 120 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 128 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 136 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 128 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 120 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 104 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_gpb251[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 152 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 160 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_gpb250[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 152 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 5180, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5200, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5220, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5240, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5260, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5280, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5300, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5320, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5500, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5520, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5540, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5560, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5580, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5600, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5620, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5640, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5660, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5680, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5700, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5745, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5765, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5785, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5805, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5825, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5190, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 5230, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 5270, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5310, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5510, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5550, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5590, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5630, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5670, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5755, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5795, 40, 144 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_gpb252[] = {
 { MIB_REG_DOMAIN_FCC, 5180, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5200, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5220, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5240, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5260, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5280, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5300, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5320, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5500, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5520, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5540, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5560, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5580, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5600, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5620, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5640, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5660, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5680, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5700, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5745, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5765, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5785, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5805, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5825, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5190, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 5230, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 5270, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5310, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5510, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5550, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5590, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5630, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5670, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5755, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5795, 40, 144 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_gpb304[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5180, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5200, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5220, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5240, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5260, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5280, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5300, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5320, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5500, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5520, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5540, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5560, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5580, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5600, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5620, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5640, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5660, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5680, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5700, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5745, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5765, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5785, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5805, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5825, 20, 200 },
 { MIB_REG_DOMAIN_FCC, 5190, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5230, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5270, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5310, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5510, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5550, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5590, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5630, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5670, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5755, 40, 200 },
 { MIB_REG_DOMAIN_FCC, 5795, 40, 200 },
 { MIB_REG_DOMAIN_ETSI, 2412, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2417, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2422, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2427, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2432, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2437, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2442, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2447, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2452, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2457, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2462, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2467, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2472, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2422, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2427, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2432, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2437, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2442, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2447, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2452, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2457, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2462, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 5180, 20, 130 },
 { MIB_REG_DOMAIN_ETSI, 5200, 20, 130 },
 { MIB_REG_DOMAIN_ETSI, 5220, 20, 130 },
 { MIB_REG_DOMAIN_ETSI, 5240, 20, 130 },
 { MIB_REG_DOMAIN_ETSI, 5260, 20, 130 },
 { MIB_REG_DOMAIN_ETSI, 5280, 20, 130 },
 { MIB_REG_DOMAIN_ETSI, 5300, 20, 130 },
 { MIB_REG_DOMAIN_ETSI, 5320, 20, 130 },
 { MIB_REG_DOMAIN_ETSI, 5500, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5520, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5540, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5560, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5580, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5600, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5620, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5640, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5660, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5680, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5700, 20, 178 },
 { MIB_REG_DOMAIN_ETSI, 5190, 40, 130 },
 { MIB_REG_DOMAIN_ETSI, 5230, 40, 130 },
 { MIB_REG_DOMAIN_ETSI, 5270, 40, 130 },
 { MIB_REG_DOMAIN_ETSI, 5310, 40, 130 },
 { MIB_REG_DOMAIN_ETSI, 5510, 40, 178 },
 { MIB_REG_DOMAIN_ETSI, 5550, 40, 178 },
 { MIB_REG_DOMAIN_ETSI, 5590, 40, 178 },
 { MIB_REG_DOMAIN_ETSI, 5630, 40, 178 },
 { MIB_REG_DOMAIN_ETSI, 5670, 40, 178 },
 { MIB_REG_DOMAIN_ETSI, 5690, 40, 178 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_gpb315_wnc[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 160 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 120 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 160 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 5180, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5200, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5220, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5240, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 5260, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5280, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5300, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5320, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 5500, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5520, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5540, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5560, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5580, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5600, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5620, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5640, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5660, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5680, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5700, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5745, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5765, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5785, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5805, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5825, 20, 144 },
 { MIB_REG_DOMAIN_FCC, 5190, 40, 104 },
 { MIB_REG_DOMAIN_FCC, 5230, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 5270, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5310, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 5510, 40, 132 },
 { MIB_REG_DOMAIN_FCC, 5550, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5590, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5630, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5670, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5755, 40, 144 },
 { MIB_REG_DOMAIN_FCC, 5795, 40, 144 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_wrx313[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 124 },
 { MIB_REG_DOMAIN_ETSI, 2412, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2417, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2422, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2427, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2432, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2437, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2442, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2447, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2452, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2457, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2462, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2467, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2472, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2422, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2427, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2432, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2437, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2442, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2447, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2452, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2457, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2462, 40, 106 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_wrx313_bpf[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 112 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 112 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 112 },
 { MIB_REG_DOMAIN_ETSI, 2412, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2417, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2422, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2427, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2432, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2437, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2442, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2447, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2452, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2457, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2462, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2467, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2472, 20, 106 },
 { MIB_REG_DOMAIN_ETSI, 2422, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2427, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2432, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2437, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2442, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2447, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2452, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2457, 40, 106 },
 { MIB_REG_DOMAIN_ETSI, 2462, 40, 106 },
 { 0,                  0,    0,  0   }
};

static const struct hw_lim_table_entry hw_lim_wrx312[] = {
 { MIB_REG_DOMAIN_FCC, 2412, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2417, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2422, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2427, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2432, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2437, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2442, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2447, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2452, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2457, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2462, 20, 124 },
 { MIB_REG_DOMAIN_FCC, 2422, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2427, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2432, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2437, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2442, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2447, 40, 124 },
 { MIB_REG_DOMAIN_FCC, 2452, 40, 124 },
 { MIB_REG_DOMAIN_ETSI, 2412, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2417, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2422, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2427, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2432, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2437, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2442, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2447, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2452, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2457, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2462, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2467, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2472, 20, 120 },
 { MIB_REG_DOMAIN_ETSI, 2422, 40, 120 },
 { MIB_REG_DOMAIN_ETSI, 2427, 40, 120 },
 { MIB_REG_DOMAIN_ETSI, 2432, 40, 120 },
 { MIB_REG_DOMAIN_ETSI, 2437, 40, 120 },
 { MIB_REG_DOMAIN_ETSI, 2442, 40, 120 },
 { MIB_REG_DOMAIN_ETSI, 2447, 40, 120 },
 { MIB_REG_DOMAIN_ETSI, 2452, 40, 120 },
 { MIB_REG_DOMAIN_ETSI, 2457, 40, 120 },
 { MIB_REG_DOMAIN_ETSI, 2462, 40, 120 },
 { 0,                  0,    0,  0   }
};

const struct hw_lim_lookup_table_entry hw_lim_lookup_table[] = {
 { 0x1a30, 0x0680, 0xc4, 0x45, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_standard },            /* GPB-208 */
 { 0x1a30, 0x0680, 0xdf, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_standard },            /* GPB-223  */
 { 0x1a30, 0x0680, 0xe6, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb230 },            /* GPB230,GPB244A */
 { 0x1a30, 0x0680, 0xe7, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb231_232 },            /* GPB231,232 */
 { 0x1a30, 0x0680, 0xe7, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb231_232 },            /* GPB231C */
 { 0x1a30, 0x0680, 0xe8, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb231_232 },            /* GPB232C */
 { 0x1a30, 0x0680, 0xf4, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb230 },            /* GPB244B */
 { 0x1a30, 0x0680, 0xef, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb231_232 },            /* GPB239B-5Ghz */
 { 0x1a30, 0x0680, 0xf0, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb231_232 },            /* GPB239B-2.4Ghz */
 { 0x1a30, 0x0680, 0xec, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb231_232 },            /* GPB236A-B */
 { 0x1a30, 0x0680, 0xec, 0x43, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb231_232 },            /* GPB236C */
 { 0x1a30, 0x0680, 0xec, 0x44, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb251 },            /* GPB236D */
 { 0x1a30, 0x0680, 0xed, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb231_232 },            /* GPB237A-B */
 { 0x1a30, 0x0680, 0xed, 0x43, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB237C-D */
 { 0x1a30, 0x0680, 0xed, 0x45, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB237E */
 { 0x1a30, 0x0680, 0xed, 0x46, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB237F_(GPB259C) */
 { 0x1a30, 0x0680, 0xf4, 0x44, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb250 },            /* GPB244D */
 { 0x1a30, 0x0680, 0xa0, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb250 },            /* MRX-2010 */
 { 0x1a30, 0x0680, 0xa1, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* MRX-1011 */
 { 0x1a30, 0x0680, 0xfa, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb250 },            /* GPB250A-B-C */
 { 0x1a30, 0x0680, 0xfb, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb251 },            /* GPB251 */
 { 0x1a30, 0x0680, 0xfc, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB252 */
 { 0x1a30, 0x0680, 0xb5, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb230 },            /* WAP610N-WET610N_(based_on_GPB_230) */
 { 0x1a30, 0x0680, 0xb5, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb250 },            /* WAP610N-WET610N_(based_on_GPB_250) */
 { 0x1a30, 0x0680, 0xa5, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb230 },            /* Aztech-VB_(based_on_GPB_230) */
 { 0x1a30, 0x0680, 0xa5, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb250 },            /* Aztech-VB_(based_on_GPB_250) */
 { 0x1a30, 0x0680, 0x02, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB258A */
 { 0x1a30, 0x0680, 0x02, 0x44, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB258B */
 { 0x1a30, 0x0680, 0x03, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB259A */
 { 0x1a30, 0x0680, 0x04, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb250 },            /* GPB260A */
 { 0x1a30, 0x0680, 0x05, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB261A */
 { 0x1a30, 0x0680, 0x06, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB262 */
 { 0x1a30, 0x0680, 0x08, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB264 */
 { 0x1a30, 0x0680, 0xc5, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* WNC-VB_(based_on_GPB264) */
 { 0x1a30, 0x0680, 0xd5, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* Gemtek_VB_MII_module_(based _on_GPB262) */
 { 0x1a30, 0x0680, 0xc5, 0x42, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* WNC_VB_LNA_(based_on_GPB264) */
 { 0x1a30, 0x0700, 0x30, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB304_(Gen3mPCI_2x3) */
 { 0x1a30, 0x0700, 0x33, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB313_(Gen3VB_2x3) */
 { 0x1a30, 0x0700, 0x34, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB314_(Gen3mPCI_AntSel_2x3) */
 { 0x1a30, 0x0700, 0x35, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB312_(Gen3VB_MII_2x3) */
 { 0x1a30, 0x0700, 0x36, 0x41, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GPB310_5G_(Gen3DBC_RGMII_2x2) */
 { 0x1a30, 0x0700, 0x36, 0x42, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GPB310_2G_(Gen3DBC_RGMII_2x2) */
 { 0x1a30, 0x0710, 0x32, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB305_(Gen3mPCIe_2x3) */
 { 0x1a30, 0x0700, 0x30, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB304_(Gen3mPCI_3x3) */
 { 0x1a30, 0x0710, 0x31, 0x41, RDILIM_USE_2TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB315_(Gen3mPCIe_FEM_2x3) */
 { 0x1a30, 0x0700, 0x33, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB313_(Gen3VB_3x3) */
 { 0x1a30, 0x0710, 0x31, 0x43, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GPB315_(Gen3mPCIe_FEM_2x2) */
 { 0x1a30, 0x0710, 0x31, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb315_wnc },            /* GPB315_(Gen3mPCIe_FEM_3x3) */
 { 0x1a30, 0x0710, 0x31, 0x45, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb315_wnc },            /* GPB315_Low_cost_(Gen3mPCIe_FEM_3x3) */
 { 0x1a30, 0x0700, 0x30, 0x43, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GPB304_(Gen3mPCI_2x2) */
 { 0x1a30, 0x0700, 0x36, 0x43, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB316_VB300 */
 { 0x1a30, 0x0700, 0x37, 0x41, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GPB317_(Gen3mPCI_2G_2x2) */
 { 0x1a30, 0x0700, 0x35, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb252 },            /* GPB312_(Gen3VB_MII_3x3) */
 { 0x1a30, 0x0700, 0x38, 0x41, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB318_5G_(Gen3DBC_RT_3x3) */
 { 0x1a30, 0x0700, 0x38, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB318_2G_(Gen3DBC_RT_3x3) */
 { 0x1a30, 0x0700, 0x36, 0x44, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GPB316_VB300_2x2 */
 { 0x1a30, 0x0700, 0x3a, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB322_(Gen3mPCI_5G_3x3) */
 { 0x1a30, 0x0710, 0x39, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB323_(Gen3mPCIe_2G_3x3) */
 { 0x1a30, 0x0700, 0x3b, 0x41, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GW188_5G_(Gen3DBC_GW_3x3) */
 { 0x1a30, 0x0700, 0x3b, 0x42, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GW188_2G_(Gen3DBC_GW_2x2) */
 { 0x1a30, 0x0710, 0x31, 0x44, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB315_(mPCIe_FEM_3x3_newPM) */
 { 0x1a30, 0x0710, 0x39, 0x41, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GPB319_(Gen3mPCIe_2G_2x2) */
 { 0x1a30, 0x0700, 0x36, 0x45, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB320_5G_VB_3x3 */
 { 0x1a30, 0x0700, 0x36, 0x46, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB325_5G_SVB_3x3_Rwave */
 { 0x1a30, 0x0700, 0x36, 0x47, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* GPB325_5G_SVB_3x3_SiGe */
 { 0x1a30, 0x0700, 0x37, 0x43, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GPB326_(Gen3mPCI_2G_2x2_hp) */
 { 0x1a30, 0x0700, 0x3c, 0x41, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* Sagem_ftth_5G */
 { 0x1a30, 0x0700, 0x3c, 0x42, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* Sagem_ftth_2G */
 { 0x1a30, 0x0710, 0x3c, 0x43, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* Sagem_(Gen3mPCIe_5G_2x2) */
 { 0x1a30, 0x0700, 0x3d, 0x41, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* Zyxel_3x3_5G */
 { 0x1a30, 0x0700, 0x3d, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* Zyxel_3x3_2G */
 { 0x1a30, 0x07c0, 0x40, 0x41, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* AR10_E1_3x3_RFA11 */
 { 0x1a30, 0x07c0, 0x40, 0x42, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_E1_2x2_RFA11 */
 { 0x1a30, 0x07c0, 0x40, 0x43, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* AR10_F1_3x3_RFA21 */
 { 0x1a30, 0x07c0, 0x40, 0x44, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_F1_2x2_RFA21 */
 { 0x1a30, 0x07c0, 0x40, 0x45, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_F2_2x2_A21 */
 { 0x1a30, 0x07c0, 0x40, 0x46, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_F1_2x2_RFA21_BT */
 { 0x1a30, 0x07c0, 0x40, 0x47, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_F1_2x2_RFA21_ExtLna */
 { 0x1a30, 0x07c0, 0x40, 0x48, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* AR10_F1_3x3_RFA31 */
 { 0x1a30, 0x07c0, 0x40, 0x49, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_F1_2x2_RFA31 */
 { 0x1a30, 0x07c0, 0x40, 0x4a, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_F2_2x2_A31 */
 { 0x1a30, 0x07c0, 0x40, 0x4b, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_F1_2x2_RFA31_BT */
 { 0x1a30, 0x07c0, 0x40, 0x4c, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* AR10_F1_2x2_RFA31_ExtLna */
 { 0x1a30, 0x07c0, 0x40, 0x4d, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* Sagem_AR10_2x2_RFA31_ExtLna_BT */
 { 0x1a30, 0x07c0, 0x40, 0x4e, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* AR10_F1_3x3_RFA31_ExtLna */
 { 0x1a30, 0x07c0, 0x40, 0x4f, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* AR10_F2_3x3_A32 */
 { 0x1a30, 0x07c0, 0x40, 0x50, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* AR10_F1_2x2_RFA32_ExtPA_Lna */
 { 0x1a30, 0x07c0, 0x40, 0x51, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_gpb304 },            /* AR10_F1_3x3_RFA32_ExtPA_Lna */
 { 0x1a30, 0x07c0, 0x40, 0x52, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx313_bpf },            /* AR10_F1_2x2_RFA32_BPF */
 { 0x1a30, 0x07c0, 0x40, 0x53, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313_bpf },            /* AR10_F1_3x3_RFA32_BPF */
 { 0x1a30, 0x07c0, 0x41, 0x41, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* Sagem_AR10_2x2_RFA32_BT */
 { 0x1a30, 0x07c0, 0x41, 0x42, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* Sagem_AR10_2x2_RFA32_ExtLna_BT */
 { 0x1a30, 0x07d0, 0x40, 0x49, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* GRX390_F1_2x2_RFA31 */
 { 0x1a30, 0x07d0, 0x40, 0x4c, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* GRX390_F1_2x2_RFA31_ExtLna */
 { 0x1a30, 0x07d0, 0x40, 0x50, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_gpb304 },            /* GRX390_2x2_RFA32_ExtPA_Lna */
 { 0x1a30, 0x07e0, 0x45, 0x41, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* GRX500_E1_3x3 */
 { 0x1a30, 0x07e0, 0x45, 0x42, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* GRX500_E1_3x3_ExtLna_Inv */
 { 0x1a30, 0x07e0, 0x45, 0x43, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* GRX500_AnyWan_3x3 */
 { 0x1a30, 0x07e0, 0x45, 0x44, RDILIM_USE_3TX | RDILIM_USE_3RX, hw_lim_wrx313 },            /* GRX500_AnyWan_3x3_ExtLna */
 { 0x1a30, 0x07d0, 0x40, 0x45, RDILIM_USE_2TX | RDILIM_USE_2RX, hw_lim_wrx312 },            /* Easy330_SPDT */
 { 0x0000, 0x0000, 0x00, 0x00, 0x00, NULL }
};

const aocs_default_penalty_t aocs_default_penalty[] = {
 { 5100,  0 },
 { 5290,  0 },
 { 5310,  4 },
 { 5330,  5 },
 { 5350,  6 },
 { 5370,  7 },
 { 5390,  8 },
 { 5410,  9 },
 { 5430,  10 },
 { 5450,  11 },
 { 5470,  12 },
 { 5490,  13 },
 { 5510,  14 },
 { 5530,  15 },
 { 5550,  16 },
 { 5570,  17 },
 { 5590,  18 },
 { 5610,  19 },
 { 5630,  20 },
 { 5650,  21 },
 { 5670,  22 },
 { 5690,  23 },
 { 5710,  24 },
 { 5730,  25 },
 { 5750,  26 },
 { 5770,  27 },
 { 5790,  28 },
 { 5810,  29 },
 { 5830,  30 },
 { 5850,  31 },
 { 5870,  32 },
 { 5890,  33 },
 { 2412,  0 },
 { 2482,  0 },
 { 0,     0 }
};

